Show / Hide Table of Contents

# Class OpenIddictEntityFrameworkTokenConfiguration<TToken, TApplication, TAuthorization, TKey>

Defines a relational mapping for the Token entity.

##### Inheritance

System.Object
OpenIddictEntityFrameworkTokenConfiguration<TToken, TApplication, TAuthorization, TKey>

###### Namespace: OpenIddict.EntityFramework

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class OpenIddictEntityFrameworkTokenConfiguration<TToken, TApplication, TAuthorization, TKey> : EntityTypeConfiguration<TToken> where TToken : OpenIddictEntityFrameworkToken<TKey, TApplication, TAuthorization> where TApplication : OpenIddictEntityFrameworkApplication<TKey, TAuthorization, TToken> where TAuthorization : OpenIddictEntityFrameworkAuthorization<TKey, TApplication, TToken> where TKey : IEquatable<TKey>

##### Type Parameters

Name | Description
--- | ---
TToken | The type of the Token entity.
TApplication | The type of the Application entity.
TAuthorization | The type of the Authorization entity.
TKey | The type of the Key entity.

### Constructors

#### OpenIddictEntityFrameworkTokenConfiguration()

##### Declaration

    public OpenIddictEntityFrameworkTokenConfiguration()